package eu.univento.commons.player.mute;

/**
 * @author joethei
 * @version 1.0
 */
public enum MuteReason {

    SPAM("Mute.Reason.Spam", 1),
    ADVERTISMENT("Mute.Reason.Advertisement", 3),
    RASISM("Mute.Reason.Rasim", 5),
    SEXISM("Mute.Reason.Sexism", 1),
    THREAT("Mute.Reason.Threat", 30),
    INSULT("Mute.Reason.Insult", 1),
    WORD_CHOICE("Mute.Reason.Word_Choice", 1);


    private String name;
    private int value;

    MuteReason(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }
}