package eu.univento.commons.player.warn;

import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
public enum WarnReason{
    COPYRIGHT("Copyright", 100),
    ADVERTISEMENT("Advertisement", 10),
    SPAM("Spamming", 10),
    WDL("WorldDownloader", 20),
    SQUIDHQ("SquidHQ", 50);

    private String name;
    private int value;

    WarnReason(String name, int value) {
        this.name = name;
        this.value = value;
    }
}
