package eu.univento.commons.server;

/**
 * @author joethei
 * @version 0.1
 */

public enum ServerType {
    LOBBY(0, "Lobby", "§6Lobby"),
    SECRET_GAME_FREE4ALL(1, "Free4All", "§6Free4All"),
    SECRET_GAME_TRASHGAMES(2, "TrashGames", "§6TrashGames"),
    GAME_WOOLGET(3, "WoolGet", "§6WoolGet"),
    GAME_MAYA(4, "Maya", "§6Maya");

    private int id;
    private String name;
    private String prefix;

    ServerType(int id, String name, String prefix) {
        this.id = id;
        this.name = name;
        this.prefix = prefix;
    }

    public String getName() {
        return name;
    }

    public String getPrefix() {
        return prefix;
    }

    public int getID() {
        return id;
    }
}